> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/app-package-assigned.md).

# App Package Assigned

## Get

> Retrieve the setting of the assigned application package.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AppPackageAssigned":{"get":{"tags":["0-Infrastructure/AVD/Host Pool//AppPackageAssigned"],"summary":"Get","description":"Retrieve the setting of the assigned application package.","operationId":"97eaa5cf-eb93-4f9a-b04d-7e204c3ba120","parameters":[{"name":"id","in":"path","description":"Retrieve the assigned application package by ID.","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"Success","content":{"application/json; api-version=1.0":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/AppPackageAssigned"}}}}},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AppPackageAssigned":{"type":"object","properties":{"version":{"type":"string","description":"<para type=\"description\">Application version</para>","nullable":true},"tagName":{"type":"string","description":"<para type=\"description\">Application version tag name</para>","nullable":true},"tagId":{"type":"integer","description":"<para type=\"description\">Application version tag ID</para>","format":"int32","nullable":true},"packageName":{"type":"string","description":"<para type=\"description\">Assigned application package name</para>","nullable":true}},"additionalProperties":false,"description":"<para type=\"synopsis\">Application Package Assigned</para>\r\n<para type=\"description\"></para>"},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Add

> Add an assigned application package.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AppPackageAssigned":{"post":{"tags":["0-Infrastructure/AVD/Host Pool//AppPackageAssigned"],"summary":"Add","description":"Add an assigned application package.","operationId":"d4f5e04c-cbd0-451d-bdd3-bf49af487ea9","parameters":[{"name":"id","in":"path","description":"The ID for which to add the assigned application package.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Assigned application package settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/AddAppPackageAssigned"}}}},"responses":{"201":{"description":"Created"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"409":{"description":"Conflict","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"AddAppPackageAssigned":{"required":["defObjType","packageName","version"],"type":"object","properties":{"packageName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The application package name.</para>\r\n<para type=\"description\">This must be the actual application package name used in the RAS farm.</para>","nullable":true},"version":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The version of the application package.</para>\r\n<para type=\"description\">This must be the actual application package version used in the RAS farm.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Update

> Update the assigned application package settings with the specified ID.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AppPackageAssigned":{"put":{"tags":["0-Infrastructure/AVD/Host Pool//AppPackageAssigned"],"summary":"Update","description":"Update the assigned application package settings with the specified ID.","operationId":"f16935d1-9119-4f8e-9236-bd79b2f30daa","parameters":[{"name":"id","in":"path","description":"The ID for which to modify the assigned application package setting.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Assigned application package settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/SetAppPackageAssigned"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"SetAppPackageAssigned":{"required":["defObjType","packageName","version"],"type":"object","properties":{"packageName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the application package for which to change the version.</para>\r\n<para type=\"description\">This must be the actual application package name used in the RAS farm.</para>","nullable":true},"version":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The new version of the application package.</para>\r\n<para type=\"description\">This must be the actual application package version used in the RAS farm.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```

## Delete

> Remove the assigned application package.

```json
{"openapi":"3.0.1","info":{"title":"Parallels RAS - REST API v1.0","version":"1.0"},"paths":{"/api/AVD/HostPool/{id}/AppPackageAssigned":{"delete":{"tags":["0-Infrastructure/AVD/Host Pool//AppPackageAssigned"],"summary":"Delete","description":"Remove the assigned application package.","operationId":"5b3148be-5eed-4151-b711-e7cba3bbec79","parameters":[{"name":"id","in":"path","description":"ID for which to remove the assigned application package.","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"description":"Assigned application package settings.","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/RemoveAppPackageAssigned"}}}},"responses":{"204":{"description":"No Content"},"401":{"description":"Unauthorized","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}},"404":{"description":"Not Found","content":{"application/json; api-version=1.0":{"schema":{"$ref":"#/components/schemas/ProblemDetails"}}}}}}}},"components":{"schemas":{"RemoveAppPackageAssigned":{"required":["defObjType","packageName"],"type":"object","properties":{"packageName":{"maxLength":255,"minLength":1,"type":"string","description":"<para type=\"description\">The name of the application package for which to remove the assigned packaged application.</para>\r\n<para type=\"description\">This must be the actual application package name used in the RAS farm.</para>","nullable":true}},"additionalProperties":false},"ProblemDetails":{"type":"object","properties":{"type":{"type":"string","nullable":true},"title":{"type":"string","nullable":true},"status":{"type":"integer","format":"int32","nullable":true},"detail":{"type":"string","nullable":true},"instance":{"type":"string","nullable":true}},"additionalProperties":{}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.parallels.com/landing/ras-rest-api-guide/api-reference/infrastructure/avd/host-pool/app-package-assigned.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
